﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace ErrorInfoGrid
{
    public class Customer : IDataErrorInfo
    {
        private string _dataError;

        public Name CustName { get; set; }


        public int Age { get; set; }



        #region IDataErrorInfo Members


        public string Error
        {

            get { return _dataError; }

        }



        public string this[string columnName]
        {

            get
            {

                string result = null;

                if (columnName == "CustName")
                {

                    if (CustName == null)

                        result = "Please enter a Name";

                }



                if (columnName == "Age")
                {

                    if (Age <= 0 || Age >= 99)

                        result = "Please enter a valid age";

                }

                return result;

            }

        }



        #endregion

    }
    public class Name : IDataErrorInfo
    {
        private string _dataError;
        public string FirstName { get; set; }

        public string LastName { get; set; }

        

        public string Error
        {

            get { return _dataError; }

        }



        public string this[string columnName]
        {

            get
            {

                string result = null;

                if (columnName == "FirstName")
                {

                    if (string.IsNullOrEmpty(FirstName))

                        result = "Please enter a First Name";

                }

                if (columnName == "LastName")
                {

                    if (string.IsNullOrEmpty(LastName))

                        result = "Please enter a Last Name";

                }




                return result;

            }
        }
    }
}
