﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.ComponentModel;

namespace ErrorInfoGrid
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new ViewModel();
        }
    }

    public class ViewModel
    {
        public BindingList<Customer> Customers { get; set; }

        public ViewModel()
        {
            Customers = new BindingList<Customer>();
            Customers.Add(new Customer() { CustName = new Name() { LastName = "Smith" } });
            Customers.Add(new Customer() { CustName = new Name() { LastName = "Patel" } });
            Customers.Add(new Customer(){ CustName = new Name() { LastName = "Rodriguez" }});
        }

    }
}
